import 'package:flutter_gadgets_2/flutter_gadgets_2.dart';

import '../const.dart';
import '../model/game.dart';
import '../view/my_welcome_view.dart';

class MyWelcomeViewController extends ControllerGadget {
  void onFabPressed() {
    final viewModel = model.getValue<MyWelcomeViewModel>()!;
    final name = viewModel.controller.text.trim();
    if (name.isNotEmpty) {
      model.putValue<Game>(value: Game(name));
      navigator!.pushReplacementNamed(routeGame);
    } else {
      viewModel.errorText = 'Please enter your name';
      model.notifyFor<MyWelcomeViewModel>();
    }
  }
}
