import 'package:flutter/material.dart';
import 'package:flutter_gadgets_2/flutter_gadgets_2.dart';

import 'const.dart';
import 'view/my_game_view.dart';
import 'view/my_welcome_view.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AppGadget(
      child: MaterialApp(
        routes: {
          routeWelcome: (_) => const MyWelcomeView(),
          routeGame: (_) => const MyGameView()
        },
        initialRoute: routeWelcome,
      ),
    );
  }
}
