import 'package:flutter_gadgets_2/flutter_gadgets_2.dart';

import '../model/match.dart';
import '../model/utils.dart';

class MyGameViewController extends ControllerGadget {
  void onRefreshPressed() => model.putValue<Match>(value: Match());

  void onButtonPressed(HandSign playerChoice) {
    final match = model.getValue<Match>()!;
    match.nextTurn(playerChoice);
    model.notifyFor<Match>();
  }
}
