import 'package:flutter/material.dart';
import 'package:flutter_gadgets_2/flutter_gadgets_2.dart';

import 'model/alien_counter.dart';
import 'view/my_home_view.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return AppGadget(
      init: (model) => model.putValue<AlienCounter>(value: AlienCounter()),
      child: const MaterialApp(
        home: MyHomeView(),
      ),
    );
  }
}
